﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
	<telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
	<form id="form1" runat="server">
	<telerik:RadScriptManager ID="RadScriptManager1" runat="server">
		<Scripts>
			<%--Needed for JavaScript IntelliSense in VS2010--%>
			<%--For VS2008 replace RadScriptManager with ScriptManager--%>
			<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
			<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
			<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
		</Scripts>
	</telerik:RadScriptManager>
	<script type="text/javascript">
		//<![CDATA[
		// The set_scrollAnimationOptions method takes two arguments - the first one is the ClientID of the rotator, which we want to configure and the second one is
		// a hash table with the options we want to apply.
		Telerik.Web.UI.RadRotatorAnimation.set_scrollAnimationOptions("<%= RadRotator.ClientID %>", // The ClientID of the RadRotator
                    {
                    minScale: 0.8, // The size scale [0; 1], applied to the items that are not selected.
                    yO: 60, // The offset in pixels of the center of the selected item from the top edge of the rotator.
                    xR: -30, // The offset in pixels between the selected items and the first item on the left and on the right of the selected item.
                    xItemSpacing: 50, // The offset in pixels between the items in the rotator.
                    matrix: { m11: 1, m12: 0, m21: -0.1, m22: 1 }, // The 2d transformation matrix, applied to the items that appear on the right of the selected item.
                    reflectionHeight: 0.5, // The height of the reflection
                    reflectionOpacity: 1 // The opacity, applied to the reflection
                   }
                ); // end of animationOptions

		function OnClientItemClicked(oRotator, args) {
			oRotator.set_currentItemIndex(args.get_item().get_index(), true);
			var bigImage = $get("<%=RadRotator.ClientID %>");
		}

		function ExpandImage(sender) {
			var imageURL = sender.src;
			var bigImage = $get("<%=BigImage.ClientID %>");
			bigImage.src = imageURL;
		}
		//]]>
	</script>
	<div>
		<telerik:RadRotator ID="RadRotator" runat="server" FrameDuration="3000" RotatorType="CoverFlow"
			ScrollDirection="Left,Right" Height="233px" ItemHeight="113px" Width="490px"
			ItemWidth="150px" Skin="Default" OnClientItemClicked="OnClientItemClicked">
			<ItemTemplate>
				<img ondblclick="ExpandImage(this);" src="<%# ResolveUrl("images/" + Container.DataItem) %>" alt="" />
			</ItemTemplate>
		</telerik:RadRotator>

		<asp:Image ID="BigImage" ImageUrl="" Width="300px" runat="server" />
	</div>
	</form>
</body>
</html>
